<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: XmlParser Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Instance Methods</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="interface_xml_parser-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XmlParser Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for XmlParser:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_xml_parser.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Instance Methods</h2></td></tr>
<tr class="memitem:af3bffffcab34c73827ac07b435cb01d1"><td class="memItemLeft" align="right" valign="top"><a id="af3bffffcab34c73827ac07b435cb01d1"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>loadRssFeed:</b></td></tr>
<tr class="separator:af3bffffcab34c73827ac07b435cb01d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade17e1956a064b8e3ee4f15b53126947"><td class="memItemLeft" align="right" valign="top"><a id="ade17e1956a064b8e3ee4f15b53126947"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>dealloc</b><code> [implementation]</code></td></tr>
<tr class="separator:ade17e1956a064b8e3ee4f15b53126947"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a270cedfe5acc9cc12281d6b51360e9a3"><td class="memItemLeft" align="right" valign="top"><a id="a270cedfe5acc9cc12281d6b51360e9a3"></a>
(id)&#160;</td><td class="memItemRight" valign="bottom">- <b>init</b><code> [implementation]</code></td></tr>
<tr class="separator:a270cedfe5acc9cc12281d6b51360e9a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a131a441b68f92c4e7894d31ccb5bb57d"><td class="memItemLeft" align="right" valign="top"><a id="a131a441b68f92c4e7894d31ccb5bb57d"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>parserDidStartDocument:</b><code> [implementation]</code></td></tr>
<tr class="separator:a131a441b68f92c4e7894d31ccb5bb57d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee4741e9dec18eefef2e4e9e0df3f9ab"><td class="memItemLeft" align="right" valign="top"><a id="aee4741e9dec18eefef2e4e9e0df3f9ab"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>parser:parseErrorOccurred:</b><code> [implementation]</code></td></tr>
<tr class="separator:aee4741e9dec18eefef2e4e9e0df3f9ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae85925f30eae4f12daadd206f198f0a0"><td class="memItemLeft" align="right" valign="top"><a id="ae85925f30eae4f12daadd206f198f0a0"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>parser:didStartElement:namespaceURI:qualifiedName:attributes:</b><code> [implementation]</code></td></tr>
<tr class="separator:ae85925f30eae4f12daadd206f198f0a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ccb7615264e34e6156ae3b23c5c3a3c"><td class="memItemLeft" align="right" valign="top"><a id="a1ccb7615264e34e6156ae3b23c5c3a3c"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>parser:foundCharacters:</b><code> [implementation]</code></td></tr>
<tr class="separator:a1ccb7615264e34e6156ae3b23c5c3a3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7da5e79073e1c5db1d339ab0eb77ce63"><td class="memItemLeft" align="right" valign="top"><a id="a7da5e79073e1c5db1d339ab0eb77ce63"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>parser:didEndElement:namespaceURI:qualifiedName:</b><code> [implementation]</code></td></tr>
<tr class="separator:a7da5e79073e1c5db1d339ab0eb77ce63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf59b2c9876eb5c2859f547627e05c05"><td class="memItemLeft" align="right" valign="top"><a id="adf59b2c9876eb5c2859f547627e05c05"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>parserDidEndDocument:</b><code> [implementation]</code></td></tr>
<tr class="separator:adf59b2c9876eb5c2859f547627e05c05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67aea79a34091d1811274cea19f576ee"><td class="memItemLeft" align="right" valign="top"><a id="a67aea79a34091d1811274cea19f576ee"></a>
(void)&#160;</td><td class="memItemRight" valign="bottom">- <b>showCurrentDepth</b><code> [implementation]</code></td></tr>
<tr class="separator:a67aea79a34091d1811274cea19f576ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a075471070a1c633cf3e4f7e24aa4edbd"><td class="memItemLeft" align="right" valign="top"><a id="a075471070a1c633cf3e4f7e24aa4edbd"></a>
BOOL&#160;</td><td class="memItemRight" valign="bottom"><b>isErrorOccured</b></td></tr>
<tr class="separator:a075471070a1c633cf3e4f7e24aa4edbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafd760ab48a6c486a9ae471d063cd262"><td class="memItemLeft" align="right" valign="top"><a id="aafd760ab48a6c486a9ae471d063cd262"></a>
NSMutableArray *&#160;</td><td class="memItemRight" valign="bottom"><b>faceMaskArray</b></td></tr>
<tr class="separator:aafd760ab48a6c486a9ae471d063cd262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a242fd4ad4907bfc0fe4e7a0f9f265579"><td class="memItemLeft" align="right" valign="top"><a id="a242fd4ad4907bfc0fe4e7a0f9f265579"></a>
NSXMLParser *&#160;</td><td class="memItemRight" valign="bottom"><b>xmlParser</b></td></tr>
<tr class="separator:a242fd4ad4907bfc0fe4e7a0f9f265579"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a728af962cc46a1eac86b51ab296f6beb"><td class="memItemLeft" align="right" valign="top"><a id="a728af962cc46a1eac86b51ab296f6beb"></a>
NSInteger&#160;</td><td class="memItemRight" valign="bottom"><b>depth</b></td></tr>
<tr class="separator:a728af962cc46a1eac86b51ab296f6beb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf9bc16aa242446670fa1073aa1cf79c"><td class="memItemLeft" align="right" valign="top"><a id="abf9bc16aa242446670fa1073aa1cf79c"></a>
NSString *&#160;</td><td class="memItemRight" valign="bottom"><b>currentElement</b></td></tr>
<tr class="separator:abf9bc16aa242446670fa1073aa1cf79c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd73352757cf0644fb95689f97564a30"><td class="memItemLeft" align="right" valign="top"><a id="abd73352757cf0644fb95689f97564a30"></a>
NSMutableString *&#160;</td><td class="memItemRight" valign="bottom"><b>currentName</b></td></tr>
<tr class="separator:abd73352757cf0644fb95689f97564a30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50ea006e23463278b83f5371a3c022d1"><td class="memItemLeft" align="right" valign="top"><a id="a50ea006e23463278b83f5371a3c022d1"></a>
<a class="el" href="interface_face_mask_categories.html">FaceMaskCategories</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>faceMaskCategory</b></td></tr>
<tr class="separator:a50ea006e23463278b83f5371a3c022d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c5bd7a1741b54fc20946346a99218f1"><td class="memItemLeft" align="right" valign="top"><a id="a5c5bd7a1741b54fc20946346a99218f1"></a>
<a class="el" href="interface_face_mask_item.html">FaceMaskItem</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>faceMaskItem</b></td></tr>
<tr class="separator:a5c5bd7a1741b54fc20946346a99218f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a374877581356f95304278d6af747d1b9"><td class="memItemLeft" align="right" valign="top"><a id="a374877581356f95304278d6af747d1b9"></a>
NSMutableArray *&#160;</td><td class="memItemRight" valign="bottom"><b>faceMaskItemArray</b></td></tr>
<tr class="separator:a374877581356f95304278d6af747d1b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="_xml_parser_8h_source.html">XmlParser.h</a></li>
<li>XmlParser.m</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
